<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/WoodBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/deb/_wood_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">WoodBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/deb/_wood_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">    1</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5a50d1448013c6f17125caee18aa418af7">    3</a></span>    <a class="code hl_enumvalue" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5a50d1448013c6f17125caee18aa418af7">NORMAL</a>,</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <a class="code hl_enumvalue" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5a035e32e9bff4d52e7981bf9336bb89d3">BARK</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5a035e32e9bff4d52e7981bf9336bb89d3">    5</a></span>}</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="keyword">class </span><a class="code hl_function" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a> <span class="keyword">extends</span> Plant</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>{</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#ab656db92a3ba8c78c7a4861d29cb1986">   10</a></span>    <span class="keyword">static</span> <span class="keywordtype">bool</span>     <a class="code hl_variable" href="../../da/deb/_wood_base_8c.html#ab656db92a3ba8c78c7a4861d29cb1986">m_IsCuttable</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a603a93f214d20bdc94ded72574a8587d">   11</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span>      <a class="code hl_variable" href="../../da/deb/_wood_base_8c.html#a603a93f214d20bdc94ded72574a8587d">m_PrimaryDropsAmount</a> = -1;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a0052c4bca7e401c26ab783aafed761e5">   12</a></span>    <span class="keyword">static</span> <span class="keywordtype">int</span>      <a class="code hl_variable" href="../../da/deb/_wood_base_8c.html#a0052c4bca7e401c26ab783aafed761e5">m_SecondaryDropsAmount</a> = -1;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a960225127659228afee9dd92109b5d9b">   13</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span>    <a class="code hl_variable" href="../../da/deb/_wood_base_8c.html#a960225127659228afee9dd92109b5d9b">m_ToolDamage</a> = -1.0;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#ad709a874a0c3edb06646795695e5c6c5">   14</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span>    <a class="code hl_variable" href="../../da/deb/_wood_base_8c.html#ad709a874a0c3edb06646795695e5c6c5">m_CycleTimeOverride</a> = -1.0;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#ae625f1c7d8d5b54ad20f61fb11180a51">   15</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span>   <a class="code hl_variable" href="../../da/deb/_wood_base_8c.html#ae625f1c7d8d5b54ad20f61fb11180a51">m_PrimaryOutput</a> = <span class="stringliteral">&quot;&quot;</span>; <span class="comment">//some nonsensical item for debugging purposes</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a01fac2ef83f832f25fb78636da3f662d">   16</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span>   <a class="code hl_variable" href="../../da/deb/_wood_base_8c.html#a01fac2ef83f832f25fb78636da3f662d">m_SecondaryOutput</a> = <span class="stringliteral">&quot;&quot;</span>; <span class="comment">//some nonsensical item for debugging purposes</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a82cbd002be910fe03c3c37f4da1466b6">   17</a></span>    <span class="keyword">static</span> <span class="keywordtype">string</span>   <a class="code hl_variable" href="../../da/deb/_wood_base_8c.html#a82cbd002be910fe03c3c37f4da1466b6">m_BarkType</a> = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">/*</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">     bool   m_IsCuttable;</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">     int    m_PrimaryDropsAmount = -1;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">     int    m_SecondaryDropsAmount = -1;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">     float  m_ToolDamage = -1.0;</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">     float  m_CycleTimeOverride = -1.0;</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment">     string     m_PrimaryOutput = &quot;&quot;; //some nonsensical item for debugging purposes</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">     string     m_SecondaryOutput = &quot;&quot;; //some nonsensical item for debugging purposes</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">     string     m_BarkType = &quot;&quot;;</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">    */</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="comment">//InitMiningValues();</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a0d7bd7b2ca3575f4c55794b0613294fd">   36</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a0d7bd7b2ca3575f4c55794b0613294fd">InitMiningValues</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="comment">//m_IsCuttable = false;</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    };</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#aaf1d430ce38ad37b5ee0985eb40cb1b4">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a8b9fbf0b08c990c2a92fbc38694e1959">IsWoodBase</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a387867b8c5ae5bb5c610cfb4332a0b6a">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#acd266e3853745a093a4d6133ca555a2d">IsCuttable</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a3111e005499dd69c5311970b9ad0bbc8">ConfigGetBool</a>(<span class="stringliteral">&quot;isCuttable&quot;</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#ab605eef81c4f93bef4d1ca52fcda8c18">   51</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#ab605eef81c4f93bef4d1ca52fcda8c18">GetPrimaryDropsAmount</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a80cf30ec0b6887e41114d8b715103884">ConfigGetInt</a>(<span class="stringliteral">&quot;primaryDropsAmount&quot;</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#ae88221a9067cc40d6165b75d87f16e9d">   56</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#ae88221a9067cc40d6165b75d87f16e9d">GetSecondaryDropsAmount</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a80cf30ec0b6887e41114d8b715103884">ConfigGetInt</a>(<span class="stringliteral">&quot;secondaryDropsAmount&quot;</span>);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a85465c706c7e6fa6407b3cc23ad5130a">   61</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a85465c706c7e6fa6407b3cc23ad5130a">GetToolDamage</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a21ff419544b72faa32dc30300226afaf">ConfigGetFloat</a>(<span class="stringliteral">&quot;toolDamage&quot;</span>);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#aef517beaf0d3de7d2f9c7c8acd3055eb">   66</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#aef517beaf0d3de7d2f9c7c8acd3055eb">GetCycleTimeOverride</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a21ff419544b72faa32dc30300226afaf">ConfigGetFloat</a>(<span class="stringliteral">&quot;cycleTimeOverride&quot;</span>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#aa9e9a1af864887000043a79da28766c3">   71</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#aa9e9a1af864887000043a79da28766c3">GetPrimaryOutput</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a9f38588558c99c1086d1165658d9f255">ConfigGetString</a>(<span class="stringliteral">&quot;primaryOutput&quot;</span>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a0470189400a4e171ec637c4175c19bb8">   76</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a0470189400a4e171ec637c4175c19bb8">GetSecondaryOutput</a>()</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a9f38588558c99c1086d1165658d9f255">ConfigGetString</a>(<span class="stringliteral">&quot;secondaryOutput&quot;</span>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a1cea490d60de4490d5c472fc7b213617">   81</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a1cea490d60de4490d5c472fc7b213617">GetBarkType</a>()</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d93/_object_8c.html#a9f38588558c99c1086d1165658d9f255">ConfigGetString</a>(<span class="stringliteral">&quot;barkType&quot;</span>);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#af6d72850b8347b8f25cfa0f100ccad68">   88</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#af6d72850b8347b8f25cfa0f100ccad68">GetAmountOfDrops</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#ab605eef81c4f93bef4d1ca52fcda8c18">GetPrimaryDropsAmount</a>() &gt; 0 )</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#adaeb9b51c67156e55a03206faf260851">IsTree</a>() &amp;&amp; item &amp;&amp; ( item.KindOf(<span class="stringliteral">&quot;Knife&quot;</span>) || item.IsInherited(Screwdriver) ) )</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#ab605eef81c4f93bef4d1ca52fcda8c18">GetPrimaryDropsAmount</a>(); </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">if</span> ( item &amp;&amp; ( item.KindOf(<span class="stringliteral">&quot;Knife&quot;</span>) || item.IsInherited(Screwdriver) ) )</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( item &amp;&amp; item.KindOf(<span class="stringliteral">&quot;Axe&quot;</span>) )</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                <span class="keywordflow">return</span> 3;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                <span class="keywordflow">return</span> 100;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a25f83eecd73cbcbeb8c2b322201f6bc1">  118</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a25f83eecd73cbcbeb8c2b322201f6bc1">GetAmountOfDropsEx</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a> type)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#ab605eef81c4f93bef4d1ca52fcda8c18">GetPrimaryDropsAmount</a>() &gt; 0 )</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#adaeb9b51c67156e55a03206faf260851">IsTree</a>() &amp;&amp; item &amp;&amp; type == <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.BARK )</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            }</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>                <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#ab605eef81c4f93bef4d1ca52fcda8c18">GetPrimaryDropsAmount</a>(); </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        {</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            <span class="keywordflow">if</span> ( item &amp;&amp; type == <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.BARK )</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( item &amp;&amp;  type == <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.NORMAL )</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>            {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>                <span class="keywordflow">return</span> 3;</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                <span class="keywordflow">return</span> 100;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a44c2504f641d80455844af8dba57f143">  148</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a44c2504f641d80455844af8dba57f143">GetMaterialAndQuantityMap</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string,int&gt;</a> output_map)</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#adaeb9b51c67156e55a03206faf260851">IsTree</a>() &amp;&amp; item &amp;&amp; ( item.KindOf(<span class="stringliteral">&quot;Knife&quot;</span>) || item.IsInherited(Screwdriver) ) &amp;&amp; <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a1cea490d60de4490d5c472fc7b213617">GetBarkType</a>() != <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            output_map.Insert(<a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a1cea490d60de4490d5c472fc7b213617">GetBarkType</a>(),1);</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            output_map.Insert(<a class="code hl_function" href="../../da/deb/_wood_base_8c.html#aa9e9a1af864887000043a79da28766c3">GetPrimaryOutput</a>(),1);</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>    </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a370bd15258ba89023b13ab96d9353f75">  160</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a370bd15258ba89023b13ab96d9353f75">GetMaterialAndQuantityMapEx</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;string,int&gt;</a> output_map, <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a> type)</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#adaeb9b51c67156e55a03206faf260851">IsTree</a>() &amp;&amp; item &amp;&amp; type == <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.BARK &amp;&amp; <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a1cea490d60de4490d5c472fc7b213617">GetBarkType</a>() != <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        {</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            output_map.Insert(<a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a1cea490d60de4490d5c472fc7b213617">GetBarkType</a>(),1);</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        }</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            output_map.Insert(<a class="code hl_function" href="../../da/deb/_wood_base_8c.html#aa9e9a1af864887000043a79da28766c3">GetPrimaryOutput</a>(),1);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a2464e2f41c402383ac5938aa132c7dbe">  172</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a2464e2f41c402383ac5938aa132c7dbe">GetDamageToMiningItemEachDrop</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a85465c706c7e6fa6407b3cc23ad5130a">GetToolDamage</a>() &gt; -1)</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a85465c706c7e6fa6407b3cc23ad5130a">GetToolDamage</a>();</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#adaeb9b51c67156e55a03206faf260851">IsTree</a>() )</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        {</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            <span class="keywordflow">if</span> ( item &amp;&amp; item.KindOf(<span class="stringliteral">&quot;Knife&quot;</span>) )</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            {</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>                <span class="keywordflow">return</span> 20;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( item &amp;&amp; item.KindOf(<span class="stringliteral">&quot;Axe&quot;</span>) )</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                <span class="keywordflow">return</span> 20;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>            {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>                <span class="keywordflow">return</span> 0; </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            <span class="keywordflow">if</span> ( item &amp;&amp; item.KindOf(<span class="stringliteral">&quot;Knife&quot;</span>) )</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>                <span class="keywordflow">return</span> 30;</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            }</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( item &amp;&amp; item.KindOf(<span class="stringliteral">&quot;Axe&quot;</span>) )</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>            {</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>                <span class="keywordflow">return</span> 30;</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            {</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>                <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>            }</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../da/deb/_wood_base_8c.html#a79741fbf8a697becd005cc319c165970">  209</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a79741fbf8a697becd005cc319c165970">GetDamageToMiningItemEachDropEx</a>(<a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a> type)</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a85465c706c7e6fa6407b3cc23ad5130a">GetToolDamage</a>() &gt; -1)</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/deb/_wood_base_8c.html#a85465c706c7e6fa6407b3cc23ad5130a">GetToolDamage</a>();</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>        </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d93/_object_8c.html#adaeb9b51c67156e55a03206faf260851">IsTree</a>() )</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <span class="keywordflow">if</span> ( item &amp;&amp; type == <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.BARK )</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            {</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>                <span class="keywordflow">return</span> 20;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( item &amp;&amp; type == <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.NORMAL )</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            {</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>                <span class="keywordflow">return</span> 20;</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>            }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            {</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>                <span class="keywordflow">return</span> 0; </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>            }</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        }</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        {</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>            <span class="keywordflow">if</span> ( item &amp;&amp; type == <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.BARK )</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>            {</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>                <span class="keywordflow">return</span> 30;</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>            }</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( item &amp;&amp; type == <a class="code hl_enumeration" href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a>.NORMAL )</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>            {</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>                <span class="keywordflow">return</span> 30;</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            }</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>            {</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>                <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>            }</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        }</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>};</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_object_8c_html_a21ff419544b72faa32dc30300226afaf"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a21ff419544b72faa32dc30300226afaf">ConfigGetFloat</a></div><div class="ttdeci">proto float ConfigGetFloat(string entryName)</div></div>
<div class="ttc" id="a_object_8c_html_a3111e005499dd69c5311970b9ad0bbc8"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a3111e005499dd69c5311970b9ad0bbc8">ConfigGetBool</a></div><div class="ttdeci">bool ConfigGetBool(string entryName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00729">Object.c:729</a></div></div>
<div class="ttc" id="a_object_8c_html_a80cf30ec0b6887e41114d8b715103884"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a80cf30ec0b6887e41114d8b715103884">ConfigGetInt</a></div><div class="ttdeci">proto int ConfigGetInt(string entryName)</div></div>
<div class="ttc" id="a_object_8c_html_a8b9fbf0b08c990c2a92fbc38694e1959"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a8b9fbf0b08c990c2a92fbc38694e1959">IsWoodBase</a></div><div class="ttdeci">bool IsWoodBase()</div><div class="ttdoc">Returns whether object is PlanBase.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00469">Object.c:469</a></div></div>
<div class="ttc" id="a_object_8c_html_a9f38588558c99c1086d1165658d9f255"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a9f38588558c99c1086d1165658d9f255">ConfigGetString</a></div><div class="ttdeci">proto string ConfigGetString(string entryName)</div></div>
<div class="ttc" id="a_object_8c_html_acd266e3853745a093a4d6133ca555a2d"><div class="ttname"><a href="../../dd/d93/_object_8c.html#acd266e3853745a093a4d6133ca555a2d">IsCuttable</a></div><div class="ttdeci">bool IsCuttable()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00480">Object.c:480</a></div></div>
<div class="ttc" id="a_object_8c_html_adaeb9b51c67156e55a03206faf260851"><div class="ttname"><a href="../../dd/d93/_object_8c.html#adaeb9b51c67156e55a03206faf260851">IsTree</a></div><div class="ttdeci">bool IsTree()</div><div class="ttdoc">Returns if this entity is tree.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00457">Object.c:457</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a0052c4bca7e401c26ab783aafed761e5"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a0052c4bca7e401c26ab783aafed761e5">m_SecondaryDropsAmount</a></div><div class="ttdeci">static int m_SecondaryDropsAmount</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00012">WoodBase.c:12</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a01fac2ef83f832f25fb78636da3f662d"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a01fac2ef83f832f25fb78636da3f662d">m_SecondaryOutput</a></div><div class="ttdeci">static string m_SecondaryOutput</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00016">WoodBase.c:16</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a0470189400a4e171ec637c4175c19bb8"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a0470189400a4e171ec637c4175c19bb8">GetSecondaryOutput</a></div><div class="ttdeci">string GetSecondaryOutput()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00076">WoodBase.c:76</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a0d7bd7b2ca3575f4c55794b0613294fd"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a0d7bd7b2ca3575f4c55794b0613294fd">InitMiningValues</a></div><div class="ttdeci">void InitMiningValues()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00036">WoodBase.c:36</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a1cea490d60de4490d5c472fc7b213617"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a1cea490d60de4490d5c472fc7b213617">GetBarkType</a></div><div class="ttdeci">string GetBarkType()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00081">WoodBase.c:81</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a2464e2f41c402383ac5938aa132c7dbe"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a2464e2f41c402383ac5938aa132c7dbe">GetDamageToMiningItemEachDrop</a></div><div class="ttdeci">float GetDamageToMiningItemEachDrop(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00172">WoodBase.c:172</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a25f83eecd73cbcbeb8c2b322201f6bc1"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a25f83eecd73cbcbeb8c2b322201f6bc1">GetAmountOfDropsEx</a></div><div class="ttdeci">int GetAmountOfDropsEx(ItemBase item, EHarvestType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00118">WoodBase.c:118</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a370bd15258ba89023b13ab96d9353f75"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a370bd15258ba89023b13ab96d9353f75">GetMaterialAndQuantityMapEx</a></div><div class="ttdeci">void GetMaterialAndQuantityMapEx(ItemBase item, out map&lt; string, int &gt; output_map, EHarvestType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00160">WoodBase.c:160</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a44c2504f641d80455844af8dba57f143"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a44c2504f641d80455844af8dba57f143">GetMaterialAndQuantityMap</a></div><div class="ttdeci">void GetMaterialAndQuantityMap(ItemBase item, out map&lt; string, int &gt; output_map)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00148">WoodBase.c:148</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a603a93f214d20bdc94ded72574a8587d"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a603a93f214d20bdc94ded72574a8587d">m_PrimaryDropsAmount</a></div><div class="ttdeci">static int m_PrimaryDropsAmount</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00011">WoodBase.c:11</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a79741fbf8a697becd005cc319c165970"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a79741fbf8a697becd005cc319c165970">GetDamageToMiningItemEachDropEx</a></div><div class="ttdeci">float GetDamageToMiningItemEachDropEx(ItemBase item, EHarvestType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00209">WoodBase.c:209</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a82cbd002be910fe03c3c37f4da1466b6"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a82cbd002be910fe03c3c37f4da1466b6">m_BarkType</a></div><div class="ttdeci">static string m_BarkType</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00017">WoodBase.c:17</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a85465c706c7e6fa6407b3cc23ad5130a"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a85465c706c7e6fa6407b3cc23ad5130a">GetToolDamage</a></div><div class="ttdeci">float GetToolDamage()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00061">WoodBase.c:61</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_a960225127659228afee9dd92109b5d9b"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#a960225127659228afee9dd92109b5d9b">m_ToolDamage</a></div><div class="ttdeci">static float m_ToolDamage</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00013">WoodBase.c:13</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_aa9e9a1af864887000043a79da28766c3"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#aa9e9a1af864887000043a79da28766c3">GetPrimaryOutput</a></div><div class="ttdeci">string GetPrimaryOutput()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00071">WoodBase.c:71</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ab605eef81c4f93bef4d1ca52fcda8c18"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ab605eef81c4f93bef4d1ca52fcda8c18">GetPrimaryDropsAmount</a></div><div class="ttdeci">int GetPrimaryDropsAmount()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00051">WoodBase.c:51</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ab656db92a3ba8c78c7a4861d29cb1986"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ab656db92a3ba8c78c7a4861d29cb1986">m_IsCuttable</a></div><div class="ttdeci">enum EHarvestType m_IsCuttable</div></div>
<div class="ttc" id="a_wood_base_8c_html_abbb29a17964fe9b913bd331a4b623137"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#abbb29a17964fe9b913bd331a4b623137">WoodBase</a></div><div class="ttdeci">void WoodBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00030">WoodBase.c:30</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ad709a874a0c3edb06646795695e5c6c5"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ad709a874a0c3edb06646795695e5c6c5">m_CycleTimeOverride</a></div><div class="ttdeci">static float m_CycleTimeOverride</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00014">WoodBase.c:14</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ae625f1c7d8d5b54ad20f61fb11180a51"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ae625f1c7d8d5b54ad20f61fb11180a51">m_PrimaryOutput</a></div><div class="ttdeci">static string m_PrimaryOutput</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00015">WoodBase.c:15</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ae80cbbfe62468ad69c0d16f0798621f5"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5">EHarvestType</a></div><div class="ttdeci">EHarvestType</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00001">WoodBase.c:2</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ae80cbbfe62468ad69c0d16f0798621f5a035e32e9bff4d52e7981bf9336bb89d3"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5a035e32e9bff4d52e7981bf9336bb89d3">BARK</a></div><div class="ttdeci">@ BARK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00005">WoodBase.c:4</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ae80cbbfe62468ad69c0d16f0798621f5a50d1448013c6f17125caee18aa418af7"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ae80cbbfe62468ad69c0d16f0798621f5a50d1448013c6f17125caee18aa418af7">NORMAL</a></div><div class="ttdeci">@ NORMAL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00003">WoodBase.c:3</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_ae88221a9067cc40d6165b75d87f16e9d"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#ae88221a9067cc40d6165b75d87f16e9d">GetSecondaryDropsAmount</a></div><div class="ttdeci">int GetSecondaryDropsAmount()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00056">WoodBase.c:56</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_aef517beaf0d3de7d2f9c7c8acd3055eb"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#aef517beaf0d3de7d2f9c7c8acd3055eb">GetCycleTimeOverride</a></div><div class="ttdeci">float GetCycleTimeOverride()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00066">WoodBase.c:66</a></div></div>
<div class="ttc" id="a_wood_base_8c_html_af6d72850b8347b8f25cfa0f100ccad68"><div class="ttname"><a href="../../da/deb/_wood_base_8c.html#af6d72850b8347b8f25cfa0f100ccad68">GetAmountOfDrops</a></div><div class="ttdeci">int GetAmountOfDrops(ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/deb/_wood_base_8c_source.html#l00088">WoodBase.c:88</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../da/deb/_wood_base_8c.html">WoodBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
